%define		debug_package	%{nil}
%global         gituser         radare
%global         gitname         radare2
#global         commit          a093958b6d24015d82782eb20a2e10d8f4afcd85
%global         commit          5a3dab0a86e1452c0bb0c13d869f95b41f50b9a9
%global         shortcommit     %(c=%{commit}; echo ${c:0:7})

Name:           radare2
Version:        2.2.0
Release:        1%{?dist}
Summary:        The %{name} reverse engineering framework
Group:          Applications/Engineering
License:        LGPLv3
URL:            http://radare.org/
Source0:	%{name}-%{version}.tar.gz
Obsoletes:	radare == 2.1.6.0
Obsoletes:	radare == 2.1.3.0
Obsoletes:	radare == 2.0.10.4


BuildRequires:  file-devel
BuildRequires:  libzip-devel
#BuildRequires:  capstone-devel >= 3.0.4

#Assume more versions installed in paraller side-by-side
%{!?_pkgdocdir: %global _pkgdocdir %{_docdir}/%{name}-%{version}}

%description
The %{name} is a reverse-engineering framework that is multi-architecture,
multi-platform, and highly scriptable.  %{name} provides a hexadecimal
editor, wrapped I/O, file system support, debugger support, diffing
between two functions or binaries, and code analysis at opcode,
basic block, and function levels.


%package devel
Summary:        Development files for the %{name} package
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}
Obsoletes:	radare-devel == 2.1.6.0
Obsoletes:	radare-devel == 2.1.3.0
Obsoletes:	radare-devel == 2.0.10.4

%description devel
Development files for the %{name} package. See %{name} package for more
information.


%prep
%setup -q -n %{name}-%{version}
#%setup -q -n %{gitname}-%{commit}

%build
%configure --with-sysmagic --with-syszip #--with-syscapstone
make

# Do not run the testsuite yet
# %check
# make tests

%install
rm -rf %{buildroot}
NOSUDO=1 make install DESTDIR=%{buildroot} LIBDIR=%{_libdir} PREFIX=%{_prefix}
cp shlr/sdb/src/libsdb.a %{buildroot}/%{_libdir}/libsdb.a

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig


%files
%doc AUTHORS.md CONTRIBUTING.md DEVELOPERS.md README.md 
%license COPYING
%{_bindir}/*
%{_includedir}/*
%{_libdir}/*
%{_docdir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_datadir}/%{name}

%files devel
%{_includedir}/libr
%{_libdir}/libsdb.a
%{_libdir}/pkgconfig/*.pc

%post -n %{name}-devel -p /sbin/ldconfig
%postun -n %{name}-devel -p /sbin/ldconfig


%changelog
* Mon Nov 27 2017 Lawrence R. Rogers <lrr@cert.org) 2.2.0-1
* Release 2.2.0-1
	Version 2.2.0.

* Fri Jul  07 2017 Lawrence R. Rogers <lrr@cert.org) 1.6.0-1
* Release 1.6.0-1
	Version 1.6.0

* Sat Oct 10 2015 Michal Ambroz <rebus at, seznam.cz> 0.10.0-1
- build for Fedora for alpha of 0.10.0

* Sun Nov 09 2014 Pavel Odvody <podvody@redhat.com> 0.9.8rc3-0
- Initial tito package

